%global pypi_name django-formtools

%if 0%{?fedora}
%global with_python3 1
%endif

Name:           python-%{pypi_name}
Version:        1.0
Release:        2%{?dist}
Summary:        A set of high-level abstractions for Django forms

License:        BSD
URL:            http://django-formtools.readthedocs.org/en/latest/
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
%description
Django's "formtools" is a set of high-level abstractions for Django forms.
Currently for form previews and multi-step forms.

%package -n python2-%{pypi_name}
Summary:        A set of high-level abstractions for Django forms
%{?python_provide:%python_provide python2-%{pypi_name}}

BuildRequires:  python2-devel
BuildRequires:  python-sphinx
BuildRequires:  python-django >= 1.7
# Required for testing
BuildRequires:  python-flake8
BuildRequires:  python-coverage

Requires:       python-django >= 1.7

%description -n python2-%{pypi_name}
Django's "formtools" is a set of high-level abstractions for Django forms.
Currently for form previews and multi-step forms.


%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        A set of high-level abstractions for Django forms
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-django >= 1.7
# Required for testing
BuildRequires:  python3-flake8
BuildRequires:  python3-coverage

Requires:       python3-django >= 1.7

%description -n python3-%{pypi_name}
Django's "formtools" is a set of high-level abstractions for Django forms.
Currently for form previews and multi-step forms.
%endif

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%{py2_build}

%if 0%{?with_python3}
%{py3_build}
%endif

%check
%{__python2} setup.py test

%if 0%{?with_python3}
%{__python3} setup.py test
%endif

%install
%{py2_install}
# generate html docs 
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%if 0%{?with_python3}
%{py3_install}
%endif

%files -n python2-%{pypi_name}
%doc html README.rst 
%license LICENSE
%{python2_sitelib}/formtools
%{python2_sitelib}/django_formtools-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc html README.rst 
%license LICENSE
%{python3_sitelib}/formtools
%{python3_sitelib}/django_formtools-%{version}-py?.?.egg-info
%endif

%changelog
* Wed Sep 09 2015 jpena <jpena@redhat.com> - 1.0-2
- Fixed python3 conditional in files section
- Added checks
- Moved sphinx-build to install section
* Tue Sep 08 2015 jpena <jpena@redhat.com> - 1.0-1
- Initial package.
